Passa al contenuto principale

GET /channels

List all channels belonging to the account.

Optional Parameters

ParameterTypeDescription
pageNumberThe page number to retrieve. Default is 1.
typeStringFilter by channel type. Possible values are facebook, whatsapp, instagram and telegram
activeBooleanFilter if channel is active or not. Possible values are true or false

Example Request

curl -X GET "https://api.callbell.eu/v1/channels?type=whatsapp&active=true&page=1" \
-H "Authorization: Bearer test_gshuPaZoeEG6ovbc8M79w0QyM" \
-H "Content-Type: application/json"

Response

ParameterTypeDescription
channelsChannel[]A list of channels.

Example Response

response.json
{
"channels": [
{
"uuid": "7c996996fea947f4a1d5a11e7fac84db",
"title": "phone_number_1",
"type": "whatsapp",
"main": true,
"discardedAt": false
},
{
"uuid": "dcefe6d18b5c4bbdb0661136c7f63c8e",
"title": "phone_number_2",
"type": "whatsapp",
"main": false,
"discardedAt": true
},
{
"uuid": "759edec71ff440b29fc635c5fac84d4f",
"title": "phone_number_3",
"type": "whatsapp",
"main": false,
"discardedAt": true
}
],
"meta": {
"page": 1,
"pages": 1
}
}